tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 54810] New: BASIC authentication Upgrading to tomcat embedded 7.0.30
Date Mon, 08 Apr 2013 09:21:12 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=54810

            Bug ID: 54810
           Summary: BASIC authentication Upgrading to tomcat embedded
                    7.0.30
           Product: Tomcat 7
           Version: 7.0.30
          Hardware: PC
            Status: NEW
          Severity: regression
          Priority: P2
         Component: Manager
          Assignee: dev@tomcat.apache.org
          Reporter: nitsandaniel@gmail.com
    Classification: Unclassified

I'm using Tomcat embedded in my application.
Until now I used version 7.0.22.
I implemented my own realm (extending RealmBase), and I provide it to my Tomcat
instance using setDefaultRealm.
Everything worked fine, but now I had to upgrade my tomcat version (security
constrains in my company) - after replacing the jars the authentication isn't
working.
I can't login using my username and password, when I'm debugging I can see that
the method 'getPassword()' doesn't even call (when I replace the jars back to
7.0.22 I can see that the method does called).
Is there something that was changed between those versions?
Thanks

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message